import { FilterComponentProps } from '.';
export declare function getLabel(func: any, option: any): string;
export declare function getId(func: any, option: any): string | number;
declare type MultiSelectFilterProps = FilterComponentProps<string>;
export declare function ServerSideMultiSelectFilterRenderer({ columnDefinition, getOptions, loading, onChange, options, value, ...props }: MultiSelectFilterProps): JSX.Element;
export declare function ClientSideMultiSelectFilterRenderer({ columnDefinition, loading, onChange, options, value, ...props }: MultiSelectFilterProps): JSX.Element;
declare const MultiSelectFilterRenderer: (props: MultiSelectFilterProps) => JSX.Element;
export default MultiSelectFilterRenderer;
